CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC(3)

NAME
CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC -

SYNOPSIS

  Data Fields

CUDA_ARRAY3D_DESCRIPTOR arrayDesc
unsigned int numLevels
unsigned long long offset

Detailed Description

External memory mipmap descriptor

Field Documentation

  CUDA_ARRAY3D_DESCRIPTOR CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::arrayDesc

Format, dimension and type of base level of the mipmap chain

  unsigned int CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::numLevels

Total number of levels in the mipmap chain

  unsigned long long CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::offset

Offset into the memory object where the base level of the mipmap chain is.

Author

Generated automatically by Doxygen from the source code.